# Interface methods for submodule: DiffeomorphicDemonsRegistrationFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PDEDeformableRegistrationFilterProxy as _PDEDeformableRegistrationFilterProxy


# Interface methods for class: DiffeomorphicDemonsRegistrationFilter
class DiffeomorphicDemonsRegistrationFilterProxy(_PDEDeformableRegistrationFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMetric(self) -> float:
		""""""
		...

	def GetRMSChange(self) -> float:
		""""""
		...

	def SetUseGradientType(self, gtype) -> None:
		""""""
		...

	def GetUseGradientType(self):
		""""""
		...

	def SetUseFirstOrderExp(self, _arg: bool) -> None:
		""""""
		...

	def GetUseFirstOrderExp(self) -> bool:
		""""""
		...

	def UseFirstOrderExpOn(self) -> None:
		""""""
		...

	def UseFirstOrderExpOff(self) -> None:
		""""""
		...

	def SetIntensityDifferenceThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetIntensityDifferenceThreshold(self) -> float:
		""""""
		...

	def SetMaximumUpdateStepLength(self, arg0: float) -> None:
		""""""
		...

	def GetMaximumUpdateStepLength(self) -> float:
		""""""
		...

